/* Copyright (C) Daiki Ueno <ueno@unixuser.org>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */

typedef struct du_data {
  long size;
  char *name, *path;
  short depth;
  struct du_data *sibling, *children, *parent;
} *du_data_t;

du_data_t du_dir (const char *file);
du_data_t du_fd (FILE *s);
void du_data_free (du_data_t data);
